Subject: Re: linux-next: build warnings after merge of the wireless-next tree

From: Johannes Berg <[email-masked]>
Date: Mon, 09 Sep 2024 10:57:29 +0200

On Mon, 2024-09-09 at 18:39 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the wireless-next tree, today's linux-next build (htmldocs)
> produced these warnings:
> 
> next/Documentation/driver-api/80211/cfg80211:14: next/include/net/cfg80211.h:6219: WARNING: Inline strong start-string without end-string.
> next/Documentation/driver-api/80211/cfg80211:14: next/include/net/cfg80211.h:6219: WARNING: Inline strong start-string without end-string.
> next/Documentation/driver-api/80211/cfg80211:14: next/include/net/cfg80211.h:6219: WARNING: Inline strong start-string without end-string.
> 
> Introduced by commit
> 
>   62c16f219a73 ("wifi: cfg80211: move DFS related members to links[] in wireless_dev")
> 

Thanks for the report. kernel-doc htmldocs isn't part of the process I
usually do.

I don't even really know what this means, but I'll try to figure out a
way to fix it. Looks like it's due to the @ references there, which I'm
not sure are correct anyway, so I guess I'll just remove those.
johannes